contracts / Event

# Event

`open class Event`

Event superclass - everything happens on a date.

### Constructors

<init> | `Event(date: LocalDate)` Event superclass - everything happens on a date.

### Properties

date | `val date: LocalDate`

### Functions

equals | `open fun equals(other: Any?): Boolean`
hashCode | `open fun hashCode(): Int`

### Inheritors

PaymentEvent | `abstract class PaymentEvent : Event` Top level PaymentEvent class - represents an obligation to pay an amount on a given date, which may be either in the past or the future.